GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
tdesc_type_field Struct Reference

## Public Member Functions
| tdesc_type_field (const std::string &name_, tdesc_type *type_, int start_, int end_)

## Public Attributes
std::string | name
struct tdesc_type * | type
int | start
int | end

## Detailed Description

Definition at line 157 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ tdesc_type_field()

tdesc_type_field::tdesc_type_field | ( | const std::string & | name_,
|  | tdesc_type * | type_,
|  | int | start_,
|  | int | end_
| ) |  |
| inline

Definition at line 159 of file target-descriptions.c.

## Member Data Documentation

## ◆ end

int tdesc_type_field::end

Definition at line 169 of file target-descriptions.c.

Referenced by print_c_tdesc::visit().

## ◆ name

std::string tdesc_type_field::name

Definition at line 164 of file target-descriptions.c.

Referenced by print_c_tdesc::visit().

## ◆ start

int tdesc_type_field::start

Definition at line 169 of file target-descriptions.c.

Referenced by print_c_tdesc::visit().

## ◆ type

struct tdesc_type* tdesc_type_field::type

Definition at line 165 of file target-descriptions.c.

Referenced by print_c_tdesc::visit().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c